Bug 2095287 - HDMI audio (of Radeon card) not available after alsa* RPMs update to 1.2.7
Summary: HDMI audio (of Radeon card) not available after alsa* RPMs update to 1.2.7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: alsa-lib
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Kysela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-06-09 12:54 UTC by Ben
Modified: 2022-06-20 00:40 UTC (History)
2 users (show)

Fixed In Version: alsa-lib-1.2.7.1-1.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-20 00:40:09 UTC
Type: Bug


Attachments (Terms of Use)

Description Ben 2022-06-09 12:54:12 UTC
Description of problem:
After the upgrade of alsa* RPMs the HDMI audio component of my Radeon card became unavailable.

Version-Release number of selected component (if applicable):
Alsa RPMs at version 1.2.7

How reproducible:
Consistently, constantly.

Steps to Reproduce:
1. Run a dnf update which moves alsa* RPMs from <=1.2.6 to 1.2.7
2. Reboot
3. See HDMI audio output unavailable/missing

Actual results:
No audio output from HDMI

Expected results:
Audio component of HDMI available

Additional info:
Please ask, not sure what to give you.

Comment 1 Ben 2022-06-09 12:56:47 UTC
I should add, after I issued a "dnf downgrade alsa*", which took me back to 1.2.6 versions of everything, and rebooted, the HDMI audio component of the card was visible and selectable again.

Comment 2 Jaroslav Kysela 2022-06-09 13:00:21 UTC
Upstream fix: https://github.com/alsa-project/alsa-lib/commit/89ee61914756a6f8bcafbad7fb1eca674b0a012f

I'll update the alsa-lib package soon.

Comment 3 Fedora Update System 2022-06-17 13:03:31 UTC
FEDORA-2022-5db11a5bfe has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-5db11a5bfe

Comment 4 Fedora Update System 2022-06-18 01:40:37 UTC
FEDORA-2022-5db11a5bfe has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-5db11a5bfe`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-5db11a5bfe

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2022-06-20 00:40:09 UTC
FEDORA-2022-5db11a5bfe has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.